Bug 630964 - plugin does not allow to type in the text box
Summary: plugin does not allow to type in the text box
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfwm4
Version: 15
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-07 13:50 UTC by Enrique
Modified: 2011-12-11 21:54 UTC (History)
4 users (show)

Fixed In Version: xfwm4-4.8.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-19 06:02:32 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Xfce 6649 0 None None None Never

Description Enrique 2010-09-07 13:50:07 UTC
Description of problem:

 I have installed the xfce4-websearch-plugin in a xfce4 panel, but when I try to type in the search box (clicking on it before), one cannot type.
 Actually, the search box is not highlighted, and the focus continues on the window it was before.


How reproducible:
Always

Steps to Reproduce:
1. Install the plugin in a xfce4 panel.
2. Click on the search box
3. Try to type your favourite search topic

Comment 1 Enrique 2010-09-07 14:14:11 UTC
 I have just realized that the same happens for the command line verve plugin. So it seems to be something related to the xfce4 panel in general.
 In my configuration I have two panels and the problem appears no matter in which panel I place the plugin in.

Comment 2 Kevin Fenzi 2010-09-08 23:25:02 UTC
I can confirm this with verve plugin. 

Are you set to focus follows mouse? Does it work if you change to click to focus?

See http://bugzilla.xfce.org/show_bug.cgi?id=6617

Comment 3 Christoph Wickert 2010-09-09 09:37:29 UTC
Upstream bug report for xfce4-dict: http://bugzilla.xfce.org/show_bug.cgi?id=6649

Comment 4 Enrique 2010-09-20 09:56:43 UTC
 I have the focus follows mouse set. If I change to click to focus then it works. So it seems that the problem appears only when using "focus follows mouse".

Comment 5 Bug Zapper 2011-05-31 14:13:43 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Enrique 2011-06-07 12:50:36 UTC
 I can confirm that the bug is still present in Fedora 15. Version bumped.

Comment 7 Kevin Fenzi 2011-06-07 15:16:06 UTC
Odd. Upstream claims there is a workaround in xfwm4 now. 

rpm -q xfwm4 ?

Comment 8 Enrique 2011-06-08 10:51:25 UTC
# rpm -q xfwm4
xfwm4-4.8.1-2.fc15.i686

Comment 9 Kevin Fenzi 2011-06-08 13:23:49 UTC
Hum. I can't find the commit... asked on the upstream bug.

Comment 10 Christoph Wickert 2011-11-10 21:12:20 UTC
This is going to be fixed in the next update.

Comment 11 Fedora Update System 2011-11-10 21:15:53 UTC
xfwm4-4.8.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xfwm4-4.8.2-1.fc16

Comment 12 Fedora Update System 2011-11-10 21:17:04 UTC
xfwm4-4.8.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/FEDORA-2011-14387

Comment 13 Fedora Update System 2011-11-12 03:29:30 UTC
Package xfwm4-4.8.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfwm4-4.8.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15816
then log in and leave karma (feedback).

Comment 14 Enrique 2011-11-18 14:27:50 UTC
 As I commented in the updates page, the new xfwm4-4.8.2-1.fc15.x86_64
solves the problem with verve, but there is a regression error, since now the already defined keyboard application shortcuts don't work. However, if I define a new keyboard shortcut, then it works. Somehow some of the old shortcuts don't work (the only ones that still work are <Alt>F2 and <Alt>F1).

Comment 15 Enrique 2011-11-18 14:30:31 UTC
 An update: I have realized that it is only those shortcuts which contained <Control>. When I define the same shortcut now, <Shift><Control>Return is transformed into <Primary><Alt>Return. Maybe this can be reported in another bug, right?
 Regards,
 Enrique

Comment 16 Enrique 2011-11-18 14:32:53 UTC
 Sorry, I ment <Control><Alt>Return is transformed now to  <Primary><Alt>Return

Comment 17 Christoph Wickert 2011-11-18 16:55:55 UTC
Please don't hijack other bugs but open a new one. Include all relevant information and attach your ~/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml. TIA!

Comment 18 Fedora Update System 2011-11-19 06:02:32 UTC
xfwm4-4.8.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-12-11 21:54:41 UTC
xfwm4-4.8.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.